Bug 462582 - unresolved dependency
unresolved dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
10
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-09-17 06:38 EDT by Roman Rakus
Modified: 2014-01-12 19:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:24:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for rawhide (272 bytes, patch)
2008-09-17 06:38 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2008-09-17 06:38:41 EDT
Created attachment 316936 [details]
patch for rawhide

Description of problem:
Don't depend on yaboot on ppc64 arch

Version-Release number of selected component (if applicable):
all

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Newly yaboot is built only for ppc. ppc64 users have to use (and they are using) ppc yaboot. Easiest way to fix is no to depend on yaboot on ppc64 arch.
Comment 1 Jeremy Katz 2008-09-17 11:52:40 EDT
Removing the dep is wrong, though, as we do require that yaboot be installed if you install the ppc64 package.
Comment 2 David Woodhouse 2008-09-17 17:27:08 EDT
We used to have a yaboot.ppc64 package which actually contained a 32-bit binary. The source tarball contained a 32-bit libext2fs.a and when we fixed it to use our own build we lost the ability to build the package that way.

One answer is that we should never be doing ppc64-specific livecd stuff anyway - userspace should be 32-bit, and both kernels should be present. That would be created by the 32-bit livecd-tools.

It's occasionally useful to have a 'pure' 64-bit build though, so it might be worth fixing. Can we pull yaboot.ppc into the 64-bit repo? How does x86-64 pull in the (32-bit) bootloader? Does it build an 'x64_64' package which is really 32-bit, like we used to do for yaboot? Maybe we could resurrect that hack, if we find a way to give it a suitable libext2fs.a?
Comment 3 Jeremy Katz 2008-09-17 19:56:24 EDT
x86_64 pulls in the 32bit bootloader by having an x86_64 grub package which is built with -m32.  

There might be a hack to pull the package into the repo, but I suspect jkeating wouldn't really want to go that route :)
Comment 4 Jesse Keating 2008-09-17 22:41:04 EDT
please no.  As ugly as the x86_64 grub package is, that's the easiest way to do it given how the rest of our infrastructure works.
Comment 5 Bug Zapper 2008-11-25 22:07:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 03:24:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:24:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.